{
  "Logging": {
    "LogLevel": {
      "Default": "Information",
      "Microsoft": "Warning",
      "Microsoft.Hosting.Lifetime": "Information"
    }
  },
  "AllowedHosts": "*",
  "ReverseProxy": {
    "Routes": {
      "route1": {
        "ClusterId": "cluster1",
        "Match": {
          "Path": "api/{**catchall}"
        }
      },
      "route2": {
        "ClusterId": "cluster1",
        "Match": {
          "Path": "image/{**catchall}"
        },
        "Transforms": [
          { "PathPattern": "/api/Image/{**catchall}" }
        ]
      },
      "route3": {
        "ClusterId": "cluster1",
        "Match": {
          "Path": "swagger/{**catchall}"
        }
      },
      "route4": {
        "ClusterId": "cluster2",
        "Match": {
          "Path": "{**catchall}"
        }
      }
    },
    "Clusters": {
      "cluster1": {
        "Destinations": {
          "destination1": {
            "Address": "http://weatherforecast:5133/"
          }
        }
      },
      "cluster2": {
        "Destinations": {
          "destination1": {
            "Address": "http://localhost:3000/"
          }
        }
      }
    }
  }
}